package com.liang.service;

import com.liang.entity.PrjSubtopicplan;
import com.liang.entity.PrjUndertakecompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (PrjUndertakecompany)表服务接口
 *
 * @author makejava
 * @since 2023-04-09 12:13:17
 */
public interface PrjUndertakecompanyService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjUndertakecompany queryById(Integer id);

    /**
     * 通过出资方案删除数据
     *
     * @param czfa
     * @return
     */
    int deleteByCzfa(Integer czfa);

    /**
     * 批量删除出资方案承担单位
     *
     * @param czfaList
     * @return
     */
    int batchDeleteByCzfa(List<Integer> czfaList);

    /**
     * 分页查询
     *
     * @param prjUndertakecompany 筛选条件
     * @param pageRequest         分页对象
     * @return 查询结果
     */
    Page<PrjUndertakecompany> queryByPage(PrjUndertakecompany prjUndertakecompany, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjUndertakecompany 实例对象
     * @return 实例对象
     */
    PrjUndertakecompany insert(PrjUndertakecompany prjUndertakecompany);

    int insertBatch(List<PrjUndertakecompany> companyList);

    /**
     * 修改数据
     *
     * @param prjUndertakecompany 实例对象
     * @return 实例对象
     */
    PrjUndertakecompany update(PrjUndertakecompany prjUndertakecompany);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取承担单位
     *
     * @param czfa
     * @return
     */
    List<PrjUndertakecompany> getUtCompanyList(Integer czfa);

    /**
     * 获取承担单位
     *
     * @return
     */
    List<PrjUndertakecompany> getXmUtCompanyList(Map map);
}
